Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxws.atomikos
Class ImportingTransactionHandler

    java.lang.Object
      com.atomikos.icatch.jaxws.GenericImportingTransactionHandler
          com.atomikos.icatch.jaxws.atomikos.ImportingTransactionHandler

All Implemented Interfaces:
  javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

    public class ImportingTransactionHandler

extends GenericImportingTransactionHandler

Copyright © 2005-2009, Atomikos. All rights reserved. A Message Handler for a web service endpoint.

Add this handler to the service's incoming handler chain if you want to extract the transaction context from incoming SOAP requests. The request needs to contain the transaction propagation in Atomikos format (as added by an `ExportingTransactionHandler` on the client side, for instance).

In addition to the init parameters of the superclass, this handler also accepts an optional init parameter named JTA. If set to 'true' then newly created transactions will be JTA transactions. By default this is false. IMPORTANT NOTE: this handler only works on platforms where the message handlers are executed in the SAME thread as the service itself.

Field Summary

Fields inherited from class com.atomikos.icatch.jaxws.GenericImportingTransactionHandler
`ATOMIKOS_ACTOR, factory, heuristic_commit, IMPORT_PREFERENCE_MANDATORY, IMPORT_PREFERENCE_NEVER, IMPORT_PREFERENCE_NOT_SUPPORTED, IMPORT_PREFERENCE_REQUIRED, IMPORT_PREFERENCE_REQUIRES_NEW, IMPORT_PREFERENCE_SUPPORTS, new_transaction_timeout, orphan_check, preference`

Constructor Summary
`ImportingTransactionHandler()`

Method Summary
`protected boolean` | `getActiveRecovery()` Checks if active transactions are recoverable.
`Set<QName>` | `getHeaders()`
`protected SOAPImportingTransactionManager` | `getSOAPImportingTransactionManager()`
`void` | `setJtaCompatible(boolean jtaCompatible)` Sets whether this handler should create new transactions in JTA-compatible mode or not (i.e., TCC).
`String` | `toString()`

Methods inherited from class com.atomikos.icatch.jaxws.GenericImportingTransactionHandler
`close, convertPreference, createSOAPFaultException, getCheckOrphans, getCommitOnHeuristicTimeout, getCompositeTransaction, getImportPreference, getNewTransactionTimeout, handleFault, handleMessage, isRollbackOnly, setCheckOrphans, setCommitOnHeuristicTimeout, setImportPreference, setNewTransactionTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImportingTransactionHandler

    public ImportingTransactionHandler()

Method Detail

### setJtaCompatible

    public void setJtaCompatible(boolean jtaCompatible)

  Sets whether this handler should create new transactions in JTA-compatible mode or not (i.e., TCC). This only affects use cases where the importPreference leads to the creation of a new transaction. Default is false.

  Parameters:
    `jtaCompatible` -

### getHeaders

    public Set<QName> getHeaders()

  See Also:
    `rpc.handler.Handler`

### getSOAPImportingTransactionManager

    protected SOAPImportingTransactionManager getSOAPImportingTransactionManager()

  Specified by:
    `getSOAPImportingTransactionManager` in class `GenericImportingTransactionHandler`
  Returns:
    The protocol-specific importing transaction manager.
  See Also:
    `com.atomikos.icatch.jaxrpc.GenericImportingTransactionHandler#getSOAPImportingTransactionManager()`

### toString

    public String toString()

  Overrides:
    `toString` in class `GenericImportingTransactionHandler`

### getActiveRecovery

    protected boolean getActiveRecovery()

  Description copied from class: `GenericImportingTransactionHandler`
  Checks if active transactions are recoverable.

  Specified by:
    `getActiveRecovery` in class `GenericImportingTransactionHandler`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.